### A free/open-source library for quantitative finance

Public Member Functions
ConstrainedEvolver Class Reference

Constrained market-model evolver. More...

`#include <ql/models/marketmodels/constrainedevolver.hpp>`

Inheritance diagram for ConstrainedEvolver:
[legend]

List of all members.

## Public Member Functions

virtual void | setConstraintType (const std::vector< Size > &startIndexOfSwapRate, const std::vector< Size > &EndIndexOfSwapRate)=0
| call once
virtual void | setThisConstraint (const std::vector< Rate > &rateConstraints, const std::valarray< bool > &isConstraintActive)=0
| call before each path

## Detailed Description

Constrained market-model evolver.

Abstract base class. Requires extra methods above that of marketmodelevolver to let you fix rates via importance sampling.

The evolver does the actual gritty work of evolving the forward rates from one time to the next.

This is intended to be used for the Fries-Joshi proxy simulation approach to Greeks